import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This is the pacman in the game that eats the white tacs, and kills ghosts when flashing.
 * 
 * @author Nicolás A. Ortega
 * @version v1.0
 */
public class Pacman extends Actor
{
    /**
     * Act - do whatever the Pacman wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        if(getRotation() == 0 && getOneObjectAtOffset(15, 0, Walls.class) == null)
            move(5);
        if(getRotation() == 90 && getOneObjectAtOffset(0, 15, Walls.class)  == null)
            move(5);
        if(getRotation() == 180 && getOneObjectAtOffset(-15, 0, Walls.class) == null)
            move(5);
        if(getRotation() == 270 && getOneObjectAtOffset(0, -15, Walls.class) == null)
            move(5);
        
        movement();
    }
    
    private void movement()
    {
        World world = getWorld();
        if(Greenfoot.isKeyDown("up"))
            setRotation(270);
        if(Greenfoot.isKeyDown("left"))
            setRotation(180);
        if(Greenfoot.isKeyDown("down"))
            setRotation(90);
        if(Greenfoot.isKeyDown("right"))
            setRotation(0);
        
        if(getX() <= 5)
            setLocation(world.getWidth()-10, getY());
        if(getX() >= world.getWidth() -5)
            setLocation(10, getY());
        if(getY() <= 5)
            setLocation(getX(), world.getHeight() -10);
        if(getY() >= world.getHeight() -5)
            setLocation(getX(), 10);
    }
}